Page MenuHomePhabricator

upload php-mailparse and python-phabricator to jessie
Closed, ResolvedPublic

Description

these two packages are needed for phabricator. as phab2001.codfw.wmnet is running jessie we need these packages to be available on jessie. I don't think they will need any porting, I think we just need to upload the packages to jessie. They are currently available in trusty/universe and trusty/main, respectively.

Event Timeline

mmodell created this task.Jun 26 2016, 1:40 AM
Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptJun 26 2016, 1:40 AM
Volans added a subscriber: Volans.Aug 16 2016, 6:21 PM

@mmodell python-phabricator (0.6.1-1) has been backported into Jessie (from Debian Stretch) in T142097.
A sanity check should be done to ensure that it works properly with the current code in phab_epipe.py given that our package for Trusty has the 0.4.0.

I'm actually not sure what phab_epipe.py does :-/

mmodell added a comment.EditedAug 16 2016, 6:31 PM

@Volans: From python-phabricator's changelog, it looks like nothing major has changed, at least nothing which should affect us.

@mmodell
phab_epipe.py is a an intermediary between an MTA and phabricator to be able to handle special cases.
Yes from the changelog it doesn't seems to have changed much, I was just pointing that also this piece should be tested to ensure that it works properly when you'll be ready with the setup of phab2001.

Dzahn added a subscriber: Dzahn.Aug 18 2016, 11:04 PM

python-phabricator is done and installed on phab2001, cool

but we still need php5-mailparse which puppet fails to install

< judd> Package: php-mailparse on amd64 -- stretch: 3.0.1+2.1.6-12-gae1ef14-1; sid: 3.0.1+2.1.6-12-gae1ef14-1

Dzahn triaged this task as Normal priority.Aug 19 2016, 7:05 PM
Dzahn added a project: Operations.
Dzahn added a subscriber: fgiunchedi.
Dzahn added a subscriber: Muehlenhoff.EditedAug 19 2016, 7:07 PM

Backport the one from stretch?

< judd> Package: php-mailparse on amd64 -- stretch: 3.0.1+2.1.6-12-gae1ef14-1; sid: 3.0.1+2.1.6-12-gae1ef14-1

@mmodell: The php-mailparse package currently in Debian stretch uses a fairly recent modern packaging and a few build dependencies which are not available in jessie or jessie-backports. If the 2.1.6 package currently available in operations/deb/mailparse is sufficiently recent, I'd recommend to build that one for jessie-wikimedia and only move to the native Debian package once we migrate Phabricator to Debian stretch.

@MoritzMuehlenhoff: That's what I was trying to suggest with my previous comment. What we have now works, though I haven't tried to compile it for jessie I can't think of a reason it wouldn't work. I can't do the upload though, that requires someone from operations.

@mmodell : Sure, I'll take care of that

MoritzMuehlenhoff closed this task as Resolved.Aug 22 2016, 8:36 AM
MoritzMuehlenhoff claimed this task.

php-mailparse 2.1.6-1~jessie1 has been built for jessie-wikimedia and uploaded to carbon. Closing the bug since python-phabricator has already been provided via T142097.